> ## Documentation Index
> Fetch the complete documentation index at: https://www.orwel.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Identity

> Create a new visitor identity

> [!NOTE]
>
> Requires an [API key](https://www.orwel.io/docs/authentication.md) (`orwel_sk_`) with the `leads:write` scope.

## Request Body

**email** `string`

Email address

**name** `string`

Full name

**traits** `object`

Custom traits

```bash cURL theme={null}
curl -X POST "https://api.orwel.io/api/v1/identities" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"email": "user@example.com", "name": "John Doe"}'
```

```json 201 Created theme={null}
{
  "data": {
    "id": "ff0e8400-e29b-41d4-a716-446655440010",
    "email": "user@example.com",
    "name": "John Doe"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.